Attribute VB_Name = "HookLibModule"
'Declarations for the usage of KTKDBHK3.DLL library

'it exports 5 easy functions:

Declare Function HookKeyboard Lib "KTKBDHK3.DLL" (ByVal hwnd As Long, ByVal MsgID As Long) As Long
'This one starts keyboard hook
'All keyboard events are signaled as a message of MsgID
'to a window with handle hWnd
'It returns a value, that must be saved - it is your hook index.
'This index is needed in all other functions of this DLL
'The index becomes invalid as soon as you call UnhookKeyboard.
'If the return value is 0 - the function failed
'Note: examining the return value of this func. you may know if your
'app is the only one, that uses this DLL.
'If you are the first, then the return value will be 1
'If you are the 2nd to aquire the "hook-service", you'll receive an index of 2, etc
'I tried to implement a callback, but just hanged my computer several times :(


Declare Function UnhookKeyboard Lib "KTKBDHK3.DLL" (ByVal Index As Long) As Long
'This function removes the hook.
'You must specify the Index you received when setting the hook

Declare Function Hooked Lib "KTKBDHK3.DLL" (ByVal Index As Long) As Long
'Returns True (nonzero) if the hook is functioning OK.

Declare Function GetPassthru Lib "KTKBDHK3.DLL" (ByVal Index As Long) As Long
'Returns a boolean, specifying whether the keyboard messages are
'passed further to other hooks and target window

Declare Function SetPassthru Lib "KTKBDHK3.DLL" (ByVal Index As Long, ByVal NewValue As Long) As Long
'Sets the new Passthru value, returns the old one
'Pass 0 to this function to block target window
'an other hooks from processing keyboard

'Note: if several applications use the DLL, and any one of them set it's Passthru to false, then all keyboard messages will
'not be passed to target windows and other hooks, but all the applications that use this DLL will be able
'to track the keypresses


'Copyright2000, Konstantin Tretyakov
